'use client';
import Image from 'next/image';
import { MessageSquareMore } from 'lucide-react';

export default function storeCard({storeName , storeImage} ) {
  return (
    <div className="flex items-center justify-between px-4 py-2 border border-secondary rounded-lg shadow-sm bg-white w-full mx-auto">
      {/* Store Info */}
      <div className="flex items-center gap-4">
        {/* Store Logo */}
        <div className="">
          <Image
            src={`https://hibuy.twcpos.com/storage/${storeImage}`}
            alt="Store Logo"
            width={125}
            height={125}
            className="rounded-md  object-contain w-[125px]"
          />
        </div>
        
        {/* Store Details */}
        <div>
          <p className="text-sm text-customGrayBlack">Sold by</p>
          <p className="font-semibold text-lg">{storeName}</p>
          <p className="text-sm text-customGrayBlack">70% Positive Seller Ratings</p>
        </div>
      </div>

      {/* Chat Button */}
      <button className="flex items-center flex-col gap-1 text-black ">
        <MessageSquareMore size={32} />
        <span className='block text-custom16'>Chat Now</span>
      </button>
    </div>
  );
}
